Exponent's Latest News

Corrected Security Patches released for v2.1.4, v2.2.3, and v2.3.1

November 13, 2014 Tags: patch, release, bugs

(Updated Patches are available for download - you may also pull from the 'master' repository!) After a number of false starts, we've finally fixed a security issue (identified by Mayuresh Dani and Narendra Shinde from qualys.com) in our current release and some of our older versions and now have a patches available to fix this specific issue: (read more)

Data Corruption with some Security Patches released for v2.1.4, v2.2.3, and v2.3.1

November 11, 2014 Tags: patch, bugs

Please do NOT install v2.3.1 Patch #1/#2/#3, v2.2.3 Patch #6/#7/#8, nor v2.1.4 Patch #3/#4/#5!  They may cause WYSIWYG text to become garbled when saving (on a server with php versions less than v5.4.0 with 'magic quotes' turned on), and would strip scripts when saving a Code Snippet module.  We have recently released a universal (server) fix for these versions. (read more)

'Upgrading Versions' Help Docs Added

October 3, 2014 Tags: tutorials

After a few recent requests, we've (finally) added several help documents to assist you in a performing a version upgrade.  They even provide some 'testing' and 'troubleshooting' procedures.  You'll find them here. (read more)

Time for a Heavy Harvest! (new release)

September 26, 2014 Tags: release

(NOTE: You MUST be logged in as an Admin user to perform an upgrade!) Advancing toward patch #5 for v2.3.0 proved to make the patch file as large as an entire distribution...therefore we present v2.3.1, 'Heavy Harvest' to you a bit earlier than planned.  While there are NO specific new features in this version, it does fine tune and fix many of the features added in the previous major version upgrade (v2.3.0). (read more)

Yahoo announces it will 'immediately stop all new development on YUI'!

September 5, 2014

Yahoo YUIThere was a surprising announcement from Yahoo they 'have made the difficult decision to immediately stop all new development on YUI'!  Luckily, Exponent CMS is already moving away from YUI and toward jQuery/Twitter Bootstrap.  In fact, the next release will provide a YUI-free Twitter Bootstrap 3 theme.  While this probably won't immediately be true for the e-Commerce modules, it is almost already fully transitioned elsewhere.  However, not to fret...Exponent will continue to support YUI based themes regardless of Yahoo's failure to update the framework. (read more)

PHP Version 5.6 Stable Released

August 28, 2014

Though not specific to Exponent CMS, you should be made aware that PHP version 5.6 has been released as 'stable' (http://php.net/archive/2014.php#id2014-08-28-1).  All the more reason why the PHP developers have recommend upgrading to at least the stable version of 5.5.x or the previous stable version of 5.4.x and (quickly) moving away from versions 5.3.x and 5.2.x.  At some point in the future, upgrades to Exponent CMS will require PHP v5.3.x or greater and no longer support PHP v5.2.x. (read more)

Patch #4 Released for V2.3.0

August 23, 2014 Tags: patch, release, bugs

The fourth patch to address issues in v2.3.0 (stable, patch#1, patch#2 and patch#3) has been released.  This patch can be applied to any site already running v2.3.0, v2.3.0patch1, v2.3.0patch2, or v2.3.0patch3.  This patch is almost as large as a full version, therefore, you can expect v2.3.1 to be released in the coming weeks.  The code is already fixed in the 'master' git repo and the patch file can be downloaded from sourceforge.net here.  This patch updates many 3rd party libraries and fixes these issues: (read more)

Patches Released for v2.1.4 and v2.2.3

August 22, 2014 Tags: patch, release, bugs

We've fixed a couple of nasty bugs in some of our older versions and now have a patch available to fix these two specific issues: (read more)

PHP Version 5.3 Reaches End of Life

August 17, 2014

Though not specific to Exponent CMS, you should be made aware that PHP version 5.3.x is now at end of life and will no longer be updated (http://php.net/archive/2014.php#id2014-08-14-1)  The PHP developers recommend upgrading to the latest stable version of 5.5.x or the previous stable version of 5.4.x.  If you missed any earlier announcements, PHP version 5.2.x has been obsolete for quite a while at this point. (read more)

Patch #3 Released for V2.3.0

June 16, 2014 Tags: patch, release, bugs

The third patch to address issues in v2.3.0 (stable, patch#1 and patch#2) has been released.  This patch can be applied to any site already running v2.3.0, v2.3.0patch1, or v2.3.0patch2.  The code is already fixed in the 'master' git repo and the patch file can be downloaded from sourceforge.net here.  This patch updates a few 3rd party libraries and fixes these issues: (read more)